Bug 250731 (CVE-2007-3847) - CVE-2007-3847 httpd out of bounds read
Summary: CVE-2007-3847 httpd out of bounds read
Status: RELEASE_PENDING
Alias: CVE-2007-3847
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20070801,reported=20070801,sou...
Keywords: Security
Depends On: 413891 250755 250756 250757 250758 250759 250760 250761 251113 251114 411711 414281 582767
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-03 09:39 UTC by Mark J. Cox
Modified: 2018-04-17 18:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0746 normal SHIPPED_LIVE Moderate: httpd security, bug fix, and enhancement update 2007-11-07 16:27:47 UTC
Red Hat Product Errata RHSA-2007:0747 normal SHIPPED_LIVE Moderate: httpd security, bug fix, and enhancement update 2007-11-15 15:06:14 UTC
Red Hat Product Errata RHSA-2007:0911 normal SHIPPED_LIVE Moderate: httpd security update 2007-10-25 17:35:49 UTC
Red Hat Product Errata RHSA-2008:0005 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:17:20 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-08-03 09:39:38 UTC
A buffer "over-read" flaw was found in Apache httpd used for caching.  This
allows a malicious origin server to possibly cause a process crash on a caching
forward proxy, which is a DoS for a threaded MPM on httpd 2.0+

On httpd 1.3 this would cause a client crash but this is not considered a
security issue as httpd would continue to run and spawn new children as required.

        http://marc.info/?l=apache-httpd-dev&m=118595556504202&w=2

Comment 10 errata-xmlrpc 2010-08-04 21:32:35 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.